# API get list refund requests

* **Purpose**: This is the API used to get list refund requests.
* **API**:
  * Path: ***v2/col/refund-requests***
  * Method: ***GET***
  * Request: Content-Type: ***application/json***

### **Request Parameter**

<table><thead><tr><th width="239">Parameter</th><th width="124">Data Type</th><th width="101">Required</th><th>Description</th></tr></thead><tbody><tr><td>pageIndex</td><td>Number</td><td>N</td><td>Pagination index (start from 1, default value is 1)</td></tr><tr><td>pageSize</td><td>Number</td><td>N</td><td>Current Page size (Default value is 20, maximum value is 500)</td></tr><tr><td>dateFr</td><td>Datetime String (ISO 8601)</td><td>N</td><td>Get records created from date</td></tr><tr><td>dateTo</td><td>Datetime String (ISO 8601)</td><td>N</td><td>Get records created to date</td></tr><tr><td>status</td><td>String</td><td>N</td><td>To filter refund request list by status</td></tr></tbody></table>

### **Response Data**

<table><thead><tr><th width="187.33333333333331">Parameter</th><th width="127">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>code</td><td>Number</td><td>Error code, refer to <a href="/pages/Z6i4pnK4y9vE73CiFAF9">table of error codes</a>.</td></tr><tr><td>data</td><td>Object</td><td><p>Return Object as follow:</p><pre class="language-postman_json"><code class="lang-postman_json">
{
  "totalDocs": Number, // Total records base on request params
  "totalPages": Number, // Total pages base on request pageSize
  "docs": Array of GetListRefundRequestsResponse
}
</code></pre><p>Ref to <a href="#getlistrefundrequestsresponse">GetListRefundRequestsResponse</a> object.</p></td></tr><tr><td>message</td><td>String</td><td>Error description</td></tr><tr><td>neoResponseId</td><td>String</td><td>The ID of NeoX response</td></tr></tbody></table>

#### GetListRefundRequestsResponse

<table><thead><tr><th width="187.33333333333331">Parameter</th><th width="127">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>merchantCode</td><td>String</td><td>Merchant Code</td></tr><tr><td>requestId</td><td>String</td><td>The requestId when creating refund request.</td></tr><tr><td>collectionTransId</td><td>String</td><td>ID of collection transaction being refunded.</td></tr><tr><td>amount</td><td>Number</td><td>Refund amount.</td></tr><tr><td>bankSwiftCode</td><td>String</td><td>Refund request to bank swiftcode</td></tr><tr><td>bankAccountNumber</td><td>String</td><td>Refund request to bank account number</td></tr><tr><td>bankAccountName</td><td>String</td><td>Refund request to bank account name</td></tr><tr><td>bankBranch</td><td>String</td><td>Refund request to bank branch</td></tr><tr><td>status</td><td>String</td><td>Refund request status, include:<br>PENDING: Refund request has been created and waiting for approval.<br>APPROVED: Refund request has been approved.<br>REJECTED: Refund request has been rejected, view note for reject reasons.</td></tr><tr><td>createdAt</td><td>Datetime String (ISO 8601)</td><td>Record created time</td></tr><tr><td>updatedAt</td><td>Datetime String (ISO 8601)</td><td>Record last updated time</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.neox.vn/docs/global/collections/integration/refund-requests/get-list-refund-requests.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
